jm.gui.graph

## Class StatisticsList

- java.lang.Object
- - jm.gui.graph.StatisticsList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable

      public class StatisticsList
      extends java.lang.Object
      implements java.lang.Cloneable, java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatisticsList()`
    `StatisticsList(int initialCapacity)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, Statistics element)`
    `boolean` | `add(Statistics stats)`
    `void` | `clear()`
    `java.lang.Object` | `clone()`
    `boolean` | `contains(Statistics elem)`
    `void` | `ensureCapacity(int minCapacity)`
    `boolean` | `equals(java.lang.Object o)`
    `Statistics` | `get(int index)`
    `int` | `hashCode()`
    `int` | `indexOf(Statistics elem)`
    `boolean` | `isEmpty()`
    `int` | `lastIndexOf(Statistics elem)`
    `Statistics` | `remove(int index)`
    `boolean` | `remove(Statistics stats)`
    `protected void` | `removeRange(int fromIndex, int toIndex)`
    `Statistics` | `set(int index, Statistics element)`
    `int` | `size()`
    `Statistics[]` | `toArray()`
    `Statistics[]` | `toArray(Statistics[] a)`
    `java.lang.String` | `toString()`
    `void` | `trimToSize()`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### modCount

          protected transient int modCount

  - ### Constructor Detail

    - #### StatisticsList

          public StatisticsList(int initialCapacity)

    - #### StatisticsList

          public StatisticsList()

  - ### Method Detail

    - #### trimToSize

          public void trimToSize()

    - #### ensureCapacity

          public void ensureCapacity(int minCapacity)

    - #### size

          public int size()

    - #### isEmpty

          public boolean isEmpty()

    - #### contains

          public boolean contains(Statistics elem)

    - #### indexOf

          public int indexOf(Statistics elem)

    - #### lastIndexOf

          public int lastIndexOf(Statistics elem)

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toArray

          public Statistics[] toArray()

    - #### toArray

          public Statistics[] toArray(Statistics[] a)

    - #### get

          public Statistics get(int index)

    - #### set

          public Statistics set(int index,
                       Statistics element)

    - #### add

          public boolean add(Statistics stats)

    - #### add

          public void add(int index,
                 Statistics element)

    - #### remove

          public Statistics remove(int index)

    - #### clear

          public void clear()

    - #### removeRange

          protected void removeRange(int fromIndex,
                         int toIndex)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### remove

          public boolean remove(Statistics stats)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`